/*********************************************************************************
**
**   $Id: loginform.ui.h,v 1.5 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qmessagebox.h>
#include <qsettings.h>
#include <qsqldatabase.h>

QSqlDatabase *autohouse;

extern QSettings Config;

void LoginForm::Login()
{
   if ( keepSettings->isChecked() ) 
   {
      Config.writeEntry("/CroftJ/AutoHouse/DBHost", HostEdit->text()); 
      Config.writeEntry("/CroftJ/AutoHouse/DBPort", PortEdit->text()); 
      Config.writeEntry("/CroftJ/AutoHouse/DBUser", UserEdit->text()); 
      Config.writeEntry("/CroftJ/AutoHouse/DBName", DBEdit->text()); 
   }

   autohouse = QSqlDatabase::addDatabase( "QPSQL7" );
   autohouse->setDatabaseName(DBEdit->text());
   autohouse->setUserName(UserEdit->text());
   autohouse->setPassword(PasswordEdit->text());
   autohouse->setPort(PortEdit->text().toInt());
   autohouse->setHostName(HostEdit->text());
   if (!autohouse->open()) {
      autohouse->lastError().showMessage("Error Connecting Database: ");
      
//      QMessageBox::warning(NULL, "Error!", "Error Connecting to Database" +
//                                            autohouse->lastError().showMessage(), "Retry");
   }
//   QSqlQuery q;
//   q.exec("set datestyle='SQL'");
   accept();
}


void LoginForm::initialize()
{
   HostEdit->setText(Config.readEntry("/CroftJ/AutoHouse/DBHost", "localhost"));
   PortEdit->setText(Config.readEntry("/CroftJ/AutoHouse/DBPort", "5432"));
   UserEdit->setText(Config.readEntry("/CroftJ/AutoHouse/DBUser", ""));
   DBEdit->setText(Config.readEntry("/CroftJ/AutoHouse/DBName", "ah2"));
}
